//
//  UILabel+FadeLabel.m
//  LittleNote
//
//  Created by Clark Barry on 2/15/13.
//  Copyright (c) 2013 CSHaus. All rights reserved.
//

#import "UILabel+FadeLabel.h"
#import "UIView+UIViewDebug.h"

@implementation UILabel (FadeLabel)

-(void)fadeInText:(NSString *)text{
    dispatch_async(dispatch_get_main_queue(), ^{
        UILabel *fadeInLabel = [[UILabel alloc] initWithFrame:self.frame];
        [fadeInLabel setNumberOfLines:self.numberOfLines];
        [fadeInLabel setFont:self.font];
        [fadeInLabel setBackgroundColor:self.backgroundColor];
        [fadeInLabel setText:self.text];
        [fadeInLabel setTextColor:self.textColor];
        [fadeInLabel setTextAlignment:self.textAlignment];
        [self.superview addSubview:fadeInLabel];
        self.alpha = 0;
        [self setText:text];
        [self sizeToFit];
        [UIView animateWithDuration:.5
                         animations:^{
                             fadeInLabel.alpha = 0;
                             self.alpha = 1;
                         }completion:^(BOOL finished) {
                             [fadeInLabel removeFromSuperview];
                         }];
        
    });
    
}

@end
