//
//  UITextView+FadeTextView.m
//  LittleNote
//
//  Created by Clark Barry on 2/20/13.
//  Copyright (c) 2013 CSHaus. All rights reserved.
//

#import "UITextView+FadeTextView.h"
#import <QuartzCore/QuartzCore.h>

@implementation UITextView (FadeTextView)

-(void)fadeInText:(NSString *)text{
    dispatch_async(dispatch_get_main_queue(), ^{
        UITextView *fadeInTextView = [[UITextView alloc] initWithFrame:self.frame];
        [fadeInTextView setFont:self.font];
        [fadeInTextView setBackgroundColor:self.backgroundColor];
        [fadeInTextView setText:self.text];
        [fadeInTextView setTextColor:self.textColor];
        [fadeInTextView setTextAlignment:self.textAlignment];
        [fadeInTextView.layer setCornerRadius:self.layer.cornerRadius];
        [fadeInTextView.layer setBorderColor:self.layer.borderColor];
        [fadeInTextView.layer setBorderWidth:self.layer.borderWidth];
        [self.superview addSubview:fadeInTextView];
        self.alpha = 0;
        [self setText:text];
        [UIView animateWithDuration:.5
                         animations:^{
                             fadeInTextView.alpha = 0;
                             self.alpha = 1;
                         }completion:^(BOOL finished) {
                             [fadeInTextView removeFromSuperview];
                         }];
        
    });
}

@end
