//
//  AppDelegate.m
//  LittleNote
//
//  Created by Clark Barry on 12/22/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import "AppDelegate.h"
#import "ReadViewController.h"
#import "WriteViewController.h"
#import "SignInViewController.h"
#import "LittleNoteTabBarController.h"
#import "User.h"
#import "CommonDefines.h"
#import "KeychainItemWrapper.h"
#import "ThemeManager.h"
#import "LittleNoteTheme.h"
@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    
    ReadViewController *readVC = [[ReadViewController alloc] init];
    WriteViewController *writeVC = [[WriteViewController alloc]init];
    
    self.tabBarController = [[LittleNoteTabBarController alloc]init];
    [[UITabBar appearance] setSelectedImageTintColor:[UIColor whiteColor]];
    self.navigationController = [[UINavigationController alloc] initWithRootViewController:self.tabBarController];
    LittleNoteTheme *theme = [ThemeManager getInstance].currentTheme;
    [self.navigationController.navigationBar setTintColor:theme.navBarColor];
    [self.tabBarController setViewControllers:@[readVC,writeVC]];
    
    if(![[User getInstance] hasCredentials]){
        [self.tabBarController overlaySignIn];
    }
    
    [self.window setRootViewController:self.navigationController];
    
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    return YES;
}

@end
