//
//  NoteParser.m
//  ForClark
//
//  Created by Clark Barry on 12/21/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import "LittleNoteParser.h"
#import "Note.h"
#import "Request.h"
#import "CommonDefines.h"

@implementation LittleNoteParser

static LittleNoteParser *__instance = nil;
+(LittleNoteParser *)getInstance{
    if(!__instance){
        static dispatch_once_t onceToken;
        dispatch_once(&onceToken, ^{
            __instance = [[LittleNoteParser alloc] init];
        });
    }
    return __instance;
}

-(NSArray *)getNotesFromArrayOfJSON:(NSArray *)arrayOfJson{
    NSMutableArray *notes = [[NSMutableArray alloc]initWithCapacity:[arrayOfJson count]];
    for(NSDictionary *noteDictionary in arrayOfJson){
        NSString *text = [noteDictionary objectForKey:kContentKey];
        NSNumber *index = [noteDictionary objectForKey:kIndexKey];
        Note *newNote = [[Note alloc] initWithText:text andIndex:[index integerValue]];
        if(newNote){
            [notes addObject:newNote];
        }
    }
    return notes;
}

-(NSArray *)getRequestsFromArrayOfJSON:(NSArray *)arrayOfJson{
    NSMutableArray *requests = [NSMutableArray arrayWithCapacity:[arrayOfJson count]];
    for(NSDictionary *requestDictionary in arrayOfJson){
        NSNumber *index = [requestDictionary objectForKey:ID_KEY];
        NSDictionary *fromDictionary = [requestDictionary objectForKey:FROM_KEY];
        NSString *name = [fromDictionary objectForKey:NAME_KEY];
        Request *r = [[Request alloc] initWithIndex:[index integerValue] fromUser:name];
        [requests addObject:r];
    }
    return requests;
}

@end
