//
//  LittleNoteTheme.m
//  LittleNote
//
//  Created by Clark Barry on 3/12/13.
//  Copyright (c) 2013 CSHaus. All rights reserved.
//

#import "LittleNoteTheme.h"

@implementation LittleNoteTheme

-(id)initWithName:(NSString *)name navBarColor:(UIColor *)navBarColor navBarTextColor:(UIColor *)navBarTextColor textColor:(UIColor *)textColor highlightColor:(UIColor *)highlightColor backgroundColor:(UIColor *)backgroundColor andFont:(NSString *)fontName{
    self = [super init];
    if(self){
        self.name = name;
        self.navBarColor = navBarColor;
        self.navBarTextColor = navBarTextColor;
        self.textColor = textColor;
        self.highlightColor = highlightColor;
        self.backgroundColor = backgroundColor;
        self.fontName = fontName;
    }
    return self;
}


-(UIImage *)getImageWithSize:(CGSize)size{
    if(!_image){
        CGRect rect = CGRectMake(0, 0, size.width,size.height);
        UIGraphicsBeginImageContext(rect.size);
        CGContextRef context = UIGraphicsGetCurrentContext();
        
        CGContextSetFillColorWithColor(context, self.backgroundColor.CGColor);
        CGContextFillRect(context, rect);
        
        NSArray *colors = @[(id)[[UIColor colorWithWhite:1 alpha:.1]CGColor],(id)[[UIColor colorWithWhite:.8 alpha:.2]CGColor],(id)[[UIColor colorWithWhite:.75 alpha:.2]CGColor],(id)[[UIColor colorWithWhite:.5 alpha:.1]CGColor]];
        CGFloat locations[] = {0,.5,.5,1};
        
        CGGradientRef gradient = CGGradientCreateWithColors(CGColorGetColorSpace((__bridge CGColorRef)([colors objectAtIndex:0])), (__bridge CFArrayRef)colors, locations);
        
        CGPoint top = CGPointMake(CGRectGetMidX(rect), 0);
        CGPoint bottom = CGPointMake(CGRectGetMidX(rect), CGRectGetHeight(rect));
        
        CGContextDrawLinearGradient(context, gradient, top, bottom, 0);
        
        CGGradientRelease(gradient);
        
        _image = UIGraphicsGetImageFromCurrentImageContext();
        UIGraphicsEndImageContext();
    }
    return _image;
}

@end
