//
//  Note.h
//  ForClark
//
//  Created by Clark Barry on 12/21/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString *kContentKey;
extern NSString *kTextColorKey;
extern NSString *kBackgroundColorKey;
extern NSString *kIndexKey;

@interface Note : NSObject<NSCoding>{
    NSString *_text;
    UIImage *_image;
    UIColor *_textColor;
    UIColor *_backgroundColor;
    NSUInteger _index;
}

@property (readonly)NSString *text;
@property (readonly)UIImage *image;
@property (readonly)UIColor *textColor;
@property (readonly)UIColor *backgroundColor;

@property (readonly)NSUInteger index;

-(id)initWithText:(NSString *)text andIndex:(NSUInteger)index;
-(id)initWithText:(NSString *)text index:(NSUInteger)index textColor:(UIColor *)textColor andBackgroundColor:(UIColor *)backgroundColor;
-(unsigned int)getIndex;

@end
