//
//  Note.m
//  ForClark
//
//  Created by Clark Barry on 12/21/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import "Note.h"
#import "CommonDefines.h"
#import "ThemeManager.h"
#import "LittleNoteTheme.h"

NSString *kContentKey = @"content";
NSString *kTextColorKey = @"text color";
NSString *kBackgroundColorKey = @"background color";
NSString *kIndexKey = @"id";

@implementation Note

@synthesize text = _text;
@synthesize image = _image;
@synthesize textColor = _textColor;
@synthesize backgroundColor = _backgroundColor;
@synthesize index = _index;

-(id)initWithText:(NSString *)text andIndex:(NSUInteger)index{
    self = [super init];
    if(self){
        LittleNoteTheme *theme = [ThemeManager getInstance].currentTheme;
        _text = text;
        _textColor = theme.textColor;
        _backgroundColor = theme.backgroundColor;
        _index = index;
    }
    return self;
}

-(id)initWithText:(NSString *)text index:(NSUInteger)index textColor:(UIColor *)textColor andBackgroundColor:(UIColor *)backgroundColor{
    self = [super init];
    if(self){
        _text = text;
        _textColor = textColor;
        _backgroundColor = backgroundColor;
        _index = index;
    }
    return self;
}

-(unsigned int)getIndex{
    return _index;
}

-(void)encodeWithCoder:(NSCoder *)aCoder{
    [aCoder encodeObject:_text forKey:kContentKey];
    [aCoder encodeObject:_textColor forKey:kTextColorKey];
    [aCoder encodeObject:_backgroundColor forKey:kBackgroundColorKey];
    [aCoder encodeInt:_index forKey:kIndexKey];
    
}

-(id)initWithCoder:(NSCoder *)aDecoder{
    NSString *text = [aDecoder decodeObjectForKey:kContentKey];
    UIColor *textColor = [aDecoder decodeObjectForKey:kTextColorKey];
    UIColor *backgroundColor = [aDecoder decodeObjectForKey:kBackgroundColorKey];
    int index = [aDecoder decodeIntForKey:kIndexKey];
    return [self initWithText:text index:index textColor:textColor andBackgroundColor:backgroundColor];
}

@end
