//
//  NoteManager.h
//  ForClark
//
//  Created by Clark Barry on 12/21/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString *kNewNotesNotification;
extern NSString *kNoNewNotesNotification;

extern NSString *kNoteSubmitFinishedNotification;
extern NSString *kNoteSubmitFailedNotification;

@class Note;

@interface NoteManager : NSObject{
    NSMutableArray *_notes;
    BOOL _attemptingFetch;
}

@property (readonly)NSArray *notes;
@property (readonly,atomic)BOOL attemptingFetch;

+(NoteManager *)getInstance;

+(Note *)noteAtIndex:(NSUInteger)index;
+(NSUInteger)getNoteCount;

-(void)addNotes:(NSArray *)newNotes;
-(void)fetchNotes;

-(void)submitNote:(Note *)note;
-(void)deleteAll;
@end
