//
//  User.h
//  LittleNote
//
//  Created by Clark Barry on 1/18/13.
//  Copyright (c) 2013 ;. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString *kLoginSuccessfulNotification;
extern NSString *kAuthenticaitonFailedNotification;

extern NSString *kUserCreateSuccessfulNotification;
extern NSString *kUserCreateFailedNotification;

extern NSString *kConnectionFailedNotification;

extern NSString *kUserLogoutNotification;

extern NSString *kNewRequestNotification;
extern NSString *kUserDoesNotExistNotification;
extern NSString *kRequestCancelledNotification;
extern NSString *kRequestResponseSuccessful;
extern NSString *kStopSharingSuccussfulNotification;


@class Request;

@interface User : NSObject{
    NSString *_csrfToken;
    NSString *_authToken;
    NSString *_username;
    NSString *_personSharingWith;
    NSMutableArray *_requests;
}

+(User *)getInstance;

-(void)setAuthToken:(NSString *)authToken;
-(NSString *)addAuthToken:(NSString *)body;
-(void)getCookie:(void(^)(void))completion;

-(BOOL)hasCredentials;
-(void)attemptLoginWithUsername:(NSString *)username andPassword:(NSString *)password;
-(void)attemptCreateUserWith:(NSString *)username Password:(NSString *)password andEmail:(NSString *)email;
-(void)logout;

-(void)requestShareWithUser:(NSString *)username;
-(BOOL)isSharing;
-(NSString *)sharingUsername;
-(void)stopSharing;

-(void)checkRequests;
-(BOOL)hasRequests;
-(Request *)firstRequest;
-(void)respondToRequest:(Request *)request withResponse:(BOOL)accepted;

-(NSString *)getCSRFToken;


@end
