//
//  LittleNoteTabBarController.m
//  LittleNote
//
//  Created by Clark Barry on 12/24/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import "LittleNoteTabBarController.h"
#import "SignInViewController.h"
#import "User.h"
#import "ThemeManager.h"
#import "LittleNoteTheme.h"

@interface LittleNoteTabBarController ()

@end

@implementation LittleNoteTabBarController
-(id)init{
    self = [super init];
    if(self){
        [self setTitle:@"Little Note"];
        [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(overlaySignIn) name:kUserLogoutNotification object:nil];
        
    }
    return self;
}

-(void)viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    LittleNoteTheme *theme = [ThemeManager getInstance].currentTheme;
    [self.tabBar setTintColor:theme.navBarColor];
}

-(void)overlaySignIn{
    SignInViewController *signIn = [[SignInViewController alloc] init];
    [self.navigationController addChildViewController:signIn];
}

-(void)dealloc{
    [[NSNotificationCenter defaultCenter]removeObserver:self];
}
@end
